---
title: Validate SQL
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Pipelines](https://developers.cloudflare.com/api/go/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Validate SQL

client.Pipelines.ValidateSql(ctx, params) (\*[PipelineValidateSqlResponse](<https://developers.cloudflare.com/api/go/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/pipelines/v1/validate\_sql

Validates that the Pipelines SQL is correct.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write`

##### ParametersExpand Collapse

<details>

<summary>

params PipelineValidateSqlParams

</summary>

AccountID param.Field\[string]

Path param: Specifies the public ID of the account.

<a href="#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Sql param.Field\[string]

Body param: Specifies SQL to validate.

<a href="#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20sql">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PipelineValidateSqlResponse struct{…}

</summary>

<details>

<summary>

Tables map\[string, PipelineValidateSqlResponseTable]

Indicates tables involved in the processing.

</summary>

ID string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Name string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Type string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

Version float64

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20tables">Link to this property</a>

<details>

<summary>

Graph PipelineValidateSqlResponseGraphOptional

Indicates the processing flow to implement the SQL.

</summary>

<details>

<summary>

Edges \[]PipelineValidateSqlResponseGraphEdge

</summary>

DestID int64

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20dest_id">Link to this property</a>

EdgeType string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20edge_type">Link to this property</a>

KeyType string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20key_type">Link to this property</a>

SrcID int64

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20src_id">Link to this property</a>

ValueType string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20value_type">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges">Link to this property</a>

<details>

<summary>

Nodes \[]PipelineValidateSqlResponseGraphNode

</summary>

Description string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

NodeID int64

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20node_id">Link to this property</a>

Operator string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20operator">Link to this property</a>

Parallelism int64

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20parallelism">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)%20%3E%20(property)%20graph">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20PipelineValidateSqlResponse%20%3E%20(schema)>)

### Validate SQL

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Pipelines.ValidateSql(context.TODO(), pipelines.PipelineValidateSqlParams{
    AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    Sql: cloudflare.F("insert into sink select * from source;"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Tables)
}
```

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```